| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DatabaseJobEntry Struct Reference
Database

Database Job entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsigned int * | JobId
| The ID that identifies the job. More...
enum unsp__DatabaseJobName * | DatabaseJobName
| Indicates the requested action. More...
char * | ExecPath
| Indicates the path to the job's executable. More...
char * | Type
| A bitmask that describes the job attributes. More...
char * | AvgRunTime
| Indicates the estimated average run time (in seconds) required for the job to complete. More...
char * | MaxRunTime
| Indicates the estimated maximum run time (in seconds) required for the job to complete. More...
char * | State
| Indicates whether the job is: More...
char * | ReportName
| Indicates the path and name of the report generated for this job. More...
char * | LogName
char * | StartTime
| Indicates the start time of the job. More...
char * | StopTime
| Indicates the stop time of the job. More...
enum unsp__DatabaseEntity * | DatabaseEntity
| The name of the database component to which the job applies. More...

## Detailed Description

Database Job entry.

## Member Data Documentation

## ◆ AvgRunTime

char* unsp__DatabaseJobEntry::AvgRunTime

Indicates the estimated average run time (in seconds) required for the job to complete.

default value[range]: NA

## ◆ DatabaseEntity

enum unsp__DatabaseEntity* unsp__DatabaseJobEntry::DatabaseEntity

The name of the database component to which the job applies.

default value[range]: NA

## ◆ DatabaseJobName

enum unsp__DatabaseJobName* unsp__DatabaseJobEntry::DatabaseJobName

Indicates the requested action.

default value[range]: NA

## ◆ ExecPath

char* unsp__DatabaseJobEntry::ExecPath

Indicates the path to the job's executable.

default value[range]: NA

## ◆ JobId

unsigned int* unsp__DatabaseJobEntry::JobId

The ID that identifies the job.

default value[range]: NA

## ◆ LogName

char* unsp__DatabaseJobEntry::LogName

Deprecated:
  NA

## ◆ MaxRunTime

char* unsp__DatabaseJobEntry::MaxRunTime

Indicates the estimated maximum run time (in seconds) required for the job to complete.

default value[range]: NA

## ◆ ReportName

char* unsp__DatabaseJobEntry::ReportName

Indicates the path and name of the report generated for this job.

Information contain in a log is brief.
default value[range]: NA

## ◆ StartTime

char* unsp__DatabaseJobEntry::StartTime

Indicates the start time of the job.

default value[range]: NA

## ◆ State

char* unsp__DatabaseJobEntry::State

Indicates whether the job is:

- running
- overdue
- cancelling
- cancelled
- done
- error

default value[range]: NA

## ◆ StopTime

char* unsp__DatabaseJobEntry::StopTime

Indicates the stop time of the job.

default value[range]: NA

## ◆ Type

char* unsp__DatabaseJobEntry::Type

A bitmask that describes the job attributes.

The type may contain one or more attributes such as:

- BASIC (no attributes)
- CANCELABLE (job may be canceled)
- SCHEDULABLE (job may be scheduled)
- BLOCK_ON_DONE (job is blocked when completed)
- BLOCK_ON_ERR (job is blocked when an error occurs)
- TRAP_ON_ERR (trap is sent when job ends in error)
- WRITES_LOG (log file is written upon completion of the job)

default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h